X2SYS_DATALIST(GMTMANSECTION)

NAME
x2sys_datalist - A generic data-extractor for ASCII or binary files

SYNOPSIS
x2sys_datalist track(s) -TTAG [ -Fname1,name2,... ] [ -H[i][nrec] ] [ -Rwest/east/south/north[r] ] [ -S ] [ -V ] [ -bo[s|S|d|D][ncol] ]

DESCRIPTION
x2sys_datalist reads one or more files and produces a single ASCII [or binary] table. The files can be of any format, which must be descriped and passed with the -T option. You may limit the output to a geographic region, and insist that the output from several files be separated by a multiple segment header. Only the named data fields will be output [Default selects all columns].

tracks
    Can be one or more binary or ASCII data files. To give a list of names, use `cat tracks.lis`. If the names are missing the suffix we will append the suffix that goes with this TAG. Track files will be looked for first in the current directory and second in all directories listed in $X2SYS_HOME/TAG_paths.txt (if it exists). [If $X2SYS_HOME is not set it will default to $GMTHOME/share/x2sys].

-T  Sets the data set TAG which among other things sets the definition file.

OPTIONS
No space between the option flag and the associated arguments.

-F  Give a comma-separated sub-set list of column names defined in the definition file. [Default selects all data columns].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-M  Output a multisegment header between data from each track. Note this option does not imply anything about the input file; that information is conveyed via the system tag (-T).

-S  Suppress output records where all the data columns are NaN [Default will output all records].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-bo Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file.

EXAMPLES
To extract all data from the old-style MGG supplement file c2104.gmt, recognized by the tag MGG:

x2sys_datalist c2104.gmt -Tmgg > myfile

To make lon,lat, and depth input for blockmean and surface using all the files listed in the file tracks.lis and define by the tag TRK, but only the data that are inside the specified area, and make output binary, run

x2sys_datalist `cat tracks.lis` -TTRK -Flon,lat,depth -R-40/-30/25/35 -bo > alltopo.xyz

SEE ALSO
blockmean(GMTMANSECTION), GMT(GMTMANSECTION), surface(GMTMANSECTION), x2sys_cross(GMTMANSECTION)